#include "box.h"
#include <iostream>

Box::Box()
{
}

Box::Box(double x1, double y1, double z1, double x2, double y2, double z2)
{
        vertices[0]=Vector3D(x1,y1,z1);
        vertices[1]=Vector3D(x2,y1,z1);
        vertices[2]=Vector3D(x1,y1,z2);
        vertices[3]=Vector3D(x2,y1,z2);
        vertices[4]=Vector3D(x1,y2,z1);
        vertices[5]=Vector3D(x2,y2,z1);
        vertices[6]=Vector3D(x1,y2,z2);
        vertices[7]=Vector3D(x2,y2,z2);
}

Vector3D *Box::GetVertices()
{
        return vertices;
}

void Box::Print()
{
        int i;
        cout <<"Box:\n";
        for (i=0;i<8;i++)
                vertices[i].Print();
        cout << "\n";
}
