#ifndef _BTTPOOL_H

#define _BTTPOOL_H 1

#include "bttnode.h"

class BTTPool
                        /** Pool of bttnodes, it's needed because bttnodes are allocated and
                            deallocated many times in every frame.*/
{
        public:
                BTTNode **Pool; /**< array of bttnodes */
                int maxsize; /**< max number of bttnodes */
                int PoolSize; /**< current number of bttnodes */

                BTTPool(int _maxsize);
                ~BTTPool();

                BTTNode *AllocateNode(int _level, BTTNode *_parent);
                /**< allocates new bttnode */
                void FreeNode(BTTNode *bttnode);
                /**< deallocates given bttnode, it shouldn't be deleted other
                     way! */
};

#endif
