#include "landscape.h"
#include "landscape.h"
#include "common.h"
#include <iostream>

#define LandscapeFilename "maps/default.land"
#define TexturesFilename "maps/default.textures"

#define LightX 0.5
#define LightZ 0.5
#define LightAmbient 0.2
#define LightEnergy 2.0
#define MaxShadowLength 32

int main()
{
        Landscape *landscape;
        string LocalDataDirectory;
        string TexturesDirectory;

        LocalDataDirectory=GetLocalDataDirectory();
        TexturesDirectory=GetTexturesDirectory();
        landscape=new Landscape(LandscapeFilename,MainPatchLevel,0.0,LandscapeTextureSize,1);
        cout <<"\n\n\n";
        cout <<"----------------------------------------------------------------\n";
        cout <<"GENERATING TEXTURES - please, have a cup of coffee in meantime\n";
        cout <<"----------------------------------------------------------------\n";
        cout <<"\n\n\n";
        landscape->GenerateTextures(TexturesFilename, LocalDataDirectory, TexturesDirectory,LightAmbient, LightEnergy,MaxShadowLength);
        delete landscape;

        return 0;
}
