#ifndef _LANDSCAPE_TRIANGLE_H

#define _LANDSCAPE_TRIANGLE_H 1

#include "vector3d.h"
#include "bttnode.h"

class LandscapeTriangle
                        /** One non-splited triangle on landscape. */
{
        private:
        public:
                int LandscapeUpdateArray_nr; /**< number of update array */
                int LandscapeUpdateArray_pos; /**< position in update array */
                float priority; /**< ROAM priority */
                BTTNode *FirstBTTNode; /**< pointer to bttnode */
                TriangleInfoTree *First_it; /**< pointer to triangle info tree */
                int First_it_node; /**< position in triangle info tree */

                LandscapeTriangle();
                ~LandscapeTriangle();

                void CalcPriority(Vector3D *CameraPosition, double maxx, double maxz, double ViewDistance);

};

#endif
