#include "mergeablediamond.h"
#include <iostream>
#include <cstdlib>

MergeableDiamond::MergeableDiamond()
{
        FirstBTTNode=NULL;
        SecondBTTNode=NULL;
        First_it=NULL;
        Second_it=NULL;
}

MergeableDiamond::~MergeableDiamond()
{
}

void MergeableDiamond::CalcPriority(Vector3D *CameraEye, double maxx, double maxz, double ViewDistance)
{
        float p2;
        double Distance;
        double dx,dy,dz,dx2,dz2;
        double px,py,pz;

        if ((FirstBTTNode->level==0) || (First_it->Visible==0))
        {
                priority=0.0;
                if (Second_it!=NULL)
                {
                        priority=1-priority;
                }
                return;
        }

        px=First_it->px;
        py=First_it->py;
        pz=First_it->pz;

        dy=fabs(CameraEye->y-py);

        dx=fabs(CameraEye->x-px);
        dx2=fabs(maxx+CameraEye->x-px);
        if (dx2<dx)
                dx=dx2;
        dx2=fabs(maxx-CameraEye->x+px);
        if (dx2<dx)
                dx=dx2;

        dz=fabs(CameraEye->z-pz);
        dz2=fabs(maxz+CameraEye->z-pz);
        if (dz2<dz)
                dz=dz2;
        dz2=fabs(maxz-CameraEye->z+pz);
        if (dz2<dz)
                dz=dz2;

        //Distance=sqrt(dx*dx+dy*dy+dz*dz);
        Distance=sqrt(dx*dx+dy*dy+dz*dz);
        if (Distance>ViewDistance)
        {
                priority=1.0;
                return;
        }

        priority=First_it->error[First_it_node-1]/Distance;
        p2=Second_it->error[Second_it_node-1]/Distance;
        if (p2>priority)
                priority=p2;
        priority=1-priority;
        if (priority>1.0)
                priority=1.0;
        if (priority<0.0)
                priority=0.0;
}

