#include "plane.h"
#include <iostream>
#include <cmath>

Plane::Plane(double _A, double _B, double _C, double _D)
{
        A=_A;
        B=_B;
        C=_C;
        D=_D;
}

Plane::Plane(double *a)
{
        double d;
        A=a[0];
        B=a[1];
        C=a[2];
        D=a[3];
        d=sqrt(A*A+B*B+C*C);
        A/=d;
        B/=d;
        C/=d;
        D/=d;
}

Plane::Plane()
{
}

int Plane::PointSide(Vector3D *p)
{
        if (A*p->x+B*p->y+C*p->z+D<0)
                return 0;
        else
                return 1;
}

double Plane::Distance(Vector3D p)
{
        return A*p.x+B*p.y+C*p.z+D;
}

void Plane::Print()
{
        cout <<"A="<<A<<" B="<<B<<" C="<<C<<" D="<<D<<"\n";
}
