#include "steer.h"
#include <iostream>

Steer::Steer(double cs)
{
        ChangeSpeed=cs;
        Current=0.0;
}

void Steer::Step(double d, double t)
{
        double delta;
        delta=(d-Current);
        if (delta>ChangeSpeed)
                delta=ChangeSpeed;
        if (delta<-ChangeSpeed)
                delta=-ChangeSpeed;
        Current+=delta*t;
}

double Steer::Get()
{
        return Current;
}
