#ifndef _TEXT2D_H

#define _TEXT2D_H 1

using namespace std;

#include <string>

class Text2D
                        /** Font, generated from picture */
{
        private:
                unsigned int FontTexture; /**< identifier of texture */
                int lists; /**< identifier of first list */
        public:
                Text2D();
                Text2D(string filename, double size);

                void Print(string s); /**< print s without matrix modification
                */

                void Print(float x, float y, string s); /**< print s with given
                position */

                void SwitchToText(); /**< enable stuff needed for text
                rendering, turn off perspective projection */

                void BackFromText(); /**< disable stuff, switch back old matrix
                */
};

#endif
