using namespace std;

#include <fstream>
#include <string>
#include <iostream>
#include <sys/stat.h>
#include <errno.h>

void Expect(ifstream *f, string s2)
{
        string s;
        (*f)>>s;
        if (s!=s2)
        {
                cout <<"expected "<<s2<<"\n";
                exit(-1);
        };
}

string GetLocalDataDirectory()
{
        char *homedir;
        int error;
        string LocalDataDirectory;
        homedir=getenv("HOME");
        LocalDataDirectory=string(homedir)+"/.decopter";
        cout <<"LocalDataDirectory: "<<LocalDataDirectory<<"\n";
        if (mkdir(LocalDataDirectory.c_str(),0755)==-1)
        {
                error=errno;
                if (error!=EEXIST)
                {
                        cout <<"error creating "<<LocalDataDirectory<<"\n";
                        cout <<strerror(error)<<"\n";
                        exit(-1);
                }
        }
        return LocalDataDirectory;
}

string GetTexturesDirectory()
{
        string TexturesDirectory;
        TexturesDirectory="/usr/local/games/decopter/textures/";
        cout <<"TexturesDirectory: "<<TexturesDirectory<<"\n";
        return TexturesDirectory;
}
