#ifndef _OCCURRENCE_H

#define _OCCURRENCE_H 1

using namespace std;

#include <fstream>

class Occurrence
                        /**< Defines where something is located. Used to calculate how much something
                         * is in given place. */
{
        private:
                double HeightMin;
                double HeightMax;
                double HeightRelease;
                double AngleMin;
                double AngleMax;
                double AngleRelease;
                double XMin;
                double XMax;
                double XRelease;
                double ZMin;
                double ZMax;
                double ZRelease;
                int FullData;
        public:
                Occurrence(ifstream *f);
                double CalcWeight(double v, double vmin, double vmax, double vrelease);
                double CalcFinalWeight(double x, double z, double h, double a);
};

#endif
